import { ThemeColorName } from '@/tokens/colors';
export type ExtendedColor = ThemeColorName | 'white' | 'black' | 'transparent';
export type Mode = 'light' | 'dark';
export type BackgroundVariant = 'solid' | 'light' | 'soft' | 'lighter';
export type ForegroundTone = 'solid' | 'soft';
export declare function backgroundValue(color: ExtendedColor, variant: BackgroundVariant, mode: Mode): {
    backgroundColor: string;
    textColor: string;
};
export declare function hoverBackgroundValue(color: ExtendedColor, variant: 'solid' | 'light' | 'soft', mode: Mode): {
    backgroundColor: string;
    textColor: string;
};
export declare function borderColorValue(color: ExtendedColor, mode: Mode): string;
export declare function textColorValue(color: ExtendedColor, mode: Mode): string;
export declare function foregroundColorValue(color: ThemeColorName, tone: ForegroundTone, mode: Mode): string;
